# -*- coding: utf-8 -*-
"""Monadic SQL wrapper"""

__version__ = "0.1"
__author__ = "Mark Stefanovic"
__copyright__ = "Mark Stefanovic"
__license__ = "MIT"

__all__ = [
    "SqlField",
    "SqlFilter",
    "aggregate",
    "find",
    "join",
    "order_by",
    "Query",
    "StorageTable",
    "StorageField"
]

from .custom_types import (
    AggregationMethod,
    FilterOperator,
    SortOrder,
    SqlDialect
)
from .utils import standardize_string
from .sql_field import SqlField
from .sql_filter import SqlFilter
from .query import Query
from .storage_field import StorageField
from .storage_table import StorageTable
from .query_transformations import (
    aggregate,
    find,
    join,
    order_by
)
